Bug 581679 - [abrt] crash in gedit-1:2.30.0-1.fc13: Document.py:203:accelerator_activate:AttributeError: 'gedit.View' object has no attribute 'show_completion'
[abrt] crash in gedit-1:2.30.0-1.fc13: Document.py:203:accelerator_activate:A...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:7cd8e5d1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 19:31 EDT by David Le Sage
Modified: 2011-06-27 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.12 KB, text/plain)
2010-04-12 19:31 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2010-04-12 19:31:01 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.33.1-19.fc13.i686.PAE
package: gedit-1:2.30.0-1.fc13
reason: Document.py:203:accelerator_activate:AttributeError: 'gedit.View' object has no attribute 'show_completion'
release: Fedora release 13 (Goddard)

backtrace
-----
Document.py:203:accelerator_activate:AttributeError: 'gedit.View' object has no attribute 'show_completion'

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/snippets/Library.py", line 666, in accelerator_activated
    ret = self._accelerator_activated_cb(group, obj, keyval, mod)
  File "/usr/lib/gedit-2/plugins/snippets/__init__.py", line 95, in accelerator_activated
    ret = obj._snippets_plugin_data.accelerator_activated(keyval, mod)
  File "/usr/lib/gedit-2/plugins/snippets/WindowHelper.py", line 207, in accelerator_activated
    return self.current_controller.accelerator_activate(keyval, mod)
  File "/usr/lib/gedit-2/plugins/snippets/Document.py", line 203, in accelerator_activate
    self.view.show_completion((self,))
AttributeError: 'gedit.View' object has no attribute 'show_completion'

Local variables in innermost frame:
self: <snippets.Document.Document instance at 0x8dedc6c>
keyval: 49L
accelerator: '<Control><Alt>1'
snippets: [<snippets.Library.SnippetData instance at 0x8e2daec>, <snippets.Library.SnippetData instance at 0x8e2d8ac>]
mod: <flags GDK_CONTROL_MASK | GDK_MOD1_MASK of type GdkModifierType>

How to reproduce
-----
1. Tried to use custom Snippet bound to Ctrl-Alt-1
Comment 1 David Le Sage 2010-04-12 19:31:03 EDT
Created attachment 406113 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 11:26:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 11:32:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.